/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Controller;

import Dao.LoginDao;
import Dao.UsertimeManagementDao;
import Dao.WelcomeDao;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */

//@WebServlet("/UserLoginManagementServlet")
public class UserLoginManagementServlet extends HttpServlet {


    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        //processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String userId = (String) session.getAttribute("user");
        String action = request.getParameter("temp");
        String result = null;
        UsertimeManagementDao umDao = new UsertimeManagementDao();
        //"{\"pQue\": \"30\"}";
        try {
            if (action.equalsIgnoreCase("seacrh")) {
                response.setContentType("application/json");
                PrintWriter out = response.getWriter();
                String jsonStr = umDao.gettellerDetails(userId, pacsId);
                out.print(jsonStr);
                out.flush();
            } else if (action.equalsIgnoreCase("submit")) {
               // String targetTeller =  request.getParameter("telerId");
                result = umDao.updateLoginTimings(request, targetTeller, pacsId);
                if(result == null)result="Processing unsuccesfull.Please try again.";
                request.setAttribute("message", result);
                request.getRequestDispatcher("/userLoginManagement.jsp").forward(request, response);
            } else if (action.equalsIgnoreCase("info")) {
                response.setContentType("application/json");
                PrintWriter out2 = response.getWriter();
               // String targetTeller = request.getParameter("teller");
                String jsonStrTeller  = umDao.gettellerLoginDetails(targetTeller, pacsId);
                out2.print(jsonStrTeller);
                out2.flush();
            }


        } catch (Exception e) {
           // e.printStackTrace();
           System.out.println("Error occurred during processing.");
            if (action.equalsIgnoreCase("submit"))
            {
                request.setAttribute("message", "Error occured during the process");
                request.getRequestDispatcher("/userLoginManagement.jsp").forward(request, response);
            }

        } finally {
            System.out.println("Processing done.");
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
